Package org.apache.solr.common.cloud

## Class NodesSysPropsCacher

- java.lang.Object
- - org.apache.solr.common.cloud.NodesSysPropsCacher

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `SolrCloseable`

    public class NodesSysPropsCacher
    extends Object
    implements SolrCloseable

Caching other nodes system properties. The properties that will be cached based on the value define in `ZkStateReader.DEFAULT_SHARD_PREFERENCES` of `ZkStateReader.CLUSTER_PROPS`. If that key does not present then this cacher will do nothing.

The cache will be refresh whenever /live_nodes get changed.

### Constructor Summary

Constructors
`NodesSysPropsCacher​(NodeStateProvider nodeStateProvider, String currentNode, ZkStateReader stateReader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`int` `getCacheSize()`
`Map<String,​Object>` `getSysProps​(String node, Collection<String> tags)`
`boolean` `isClosed()`
`boolean` `isRunning()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodesSysPropsCacher

    public NodesSysPropsCacher​(NodeStateProvider nodeStateProvider,
                               String currentNode,
                               ZkStateReader stateReader)

### Method Detail

#### getSysProps

    public Map<String,​Object> getSysProps​(String node,
                                                Collection<String> tags)

#### getCacheSize

    public int getCacheSize()

#### isRunning

    public boolean isRunning()

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `SolrCloseable`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`